#ifndef _INCLUDE_PRAGMA_CATHARSIS_LIB_H
#define _INCLUDE_PRAGMA_CATHARSIS_LIB_H

#ifndef	CLIP_CATHARSIS_PROTOS_H
#include <clib/catharsis_protos.h>
#endif

#ifdef __GNUC__
#ifdef NO_OBSOLETE
#error "Please include the proto file and not the compiler specific file!"
#endif
#include <inline/catharsis.h>
#endif

#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
/* #pragma amicall(CatharsisBase,0x01e,ModifyCharacter()) */
#pragma amicall(CatharsisBase,0x024,ModifyCharacterA(a0))
/* #pragma amicall(CatharsisBase,0x02a,CreateCatharsisFont()) */
#pragma amicall(CatharsisBase,0x030,CreateCatharsisFontA(a0))
/* #pragma amicall(CatharsisBase,0x036,OpenCatharsisFont()) */
#pragma amicall(CatharsisBase,0x03c,OpenCatharsisFontA(a0))
/* #pragma amicall(CatharsisBase,0x042,CloseCatharsisFont()) */
#pragma amicall(CatharsisBase,0x048,CloseCatharsisFontA(a0))
/* #pragma amicall(CatharsisBase,0x04e,ComputeCatharsisValue()) */
#pragma amicall(CatharsisBase,0x054,ComputeCatharsisValueA(d0,d1,d2,d3))
/* #pragma amicall(CatharsisBase,0x05a,CompressColorValue()) */
#pragma amicall(CatharsisBase,0x060,CompressColorValueA(d0,d1,d2))
/* #pragma amicall(CatharsisBase,0x066,CompatibleColorValue()) */
#pragma amicall(CatharsisBase,0x06c,CompatibleColorValueA(d0))
/* #pragma amicall(CatharsisBase,0x072,CatharsisColorValue()) */
#pragma amicall(CatharsisBase,0x078,CatharsisColorValueA(d0,d1,a0,a1,a2))
/* #pragma amicall(CatharsisBase,0x07e,CatharsisText()) */
#pragma amicall(CatharsisBase,0x084,CatharsisTextA(a1,a0,d0,d1,a2))
#endif

#if defined(_DCC) || defined(__SASC)
/* #pragma  libcall CatharsisBase ModifyCharacter      01e 00 */
#pragma  libcall CatharsisBase ModifyCharacterA     024 801
/* #pragma  libcall CatharsisBase CreateCatharsisFont  02a 00 */
#pragma  libcall CatharsisBase CreateCatharsisFontA 030 801
/* #pragma  libcall CatharsisBase OpenCatharsisFont    036 00 */
#pragma  libcall CatharsisBase OpenCatharsisFontA   03c 801
/* #pragma  libcall CatharsisBase CloseCatharsisFont   042 00 */
#pragma  libcall CatharsisBase CloseCatharsisFontA  048 801
/* #pragma  libcall CatharsisBase ComputeCatharsisValue 04e 00 */
#pragma  libcall CatharsisBase ComputeCatharsisValueA 054 321004
/* #pragma  libcall CatharsisBase CompressColorValue   05a 00 */
#pragma  libcall CatharsisBase CompressColorValueA  060 21003
/* #pragma  libcall CatharsisBase CompatibleColorValue 066 00 */
#pragma  libcall CatharsisBase CompatibleColorValueA 06c 001
/* #pragma  libcall CatharsisBase CatharsisColorValue  072 00 */
#pragma  libcall CatharsisBase CatharsisColorValueA 078 a981005
/* #pragma  libcall CatharsisBase CatharsisText        07e 00 */
#pragma  libcall CatharsisBase CatharsisTextA       084 a108905
#endif

#ifdef __STORM__
#pragma tagcall(CatharsisBase,0x024,ModifyCharacter(a0))
#pragma tagcall(CatharsisBase,0x030,CreateCatharsisFont(a0))
#pragma tagcall(CatharsisBase,0x03c,OpenCatharsisFont(a0))
#pragma tagcall(CatharsisBase,0x048,CloseCatharsisFont(a0))
#pragma tagcall(CatharsisBase,0x054,ComputeCatharsisValue(d0,d1,d2,d3))
#pragma tagcall(CatharsisBase,0x060,CompressColorValue(d0,d1,d2))
#pragma tagcall(CatharsisBase,0x06c,CompatibleColorValue(d0))
#pragma tagcall(CatharsisBase,0x078,CatharsisColorValue(d0,d1,a0,a1,a2))
#pragma tagcall(CatharsisBase,0x084,CatharsisText(a1,a0,d0,d1,a2))
#endif

#ifdef __SASC_60
#pragma  tagcall CatharsisBase ModifyCharacter      024 801
#pragma  tagcall CatharsisBase CreateCatharsisFont  030 801
#pragma  tagcall CatharsisBase OpenCatharsisFont    03c 801
#pragma  tagcall CatharsisBase CloseCatharsisFont   048 801
#pragma  tagcall CatharsisBase ComputeCatharsisValue 054 321004
#pragma  tagcall CatharsisBase CompressColorValue   060 21003
#pragma  tagcall CatharsisBase CompatibleColorValue 06c 001
#pragma  tagcall CatharsisBase CatharsisColorValue  078 a981005
#pragma  tagcall CatharsisBase CatharsisText        084 a108905
#endif

#endif	/*  _INCLUDE_PRAGMA_CATHARSIS_LIB_H  */
