#ifndef	CLIP_CATHARSIS_PROTOS_H
#define	CLIP_CATHARSIS_PROTOS_H

#ifndef GRAPHICS_TEXT_H
#include <graphics/text.h>
#endif

#ifndef GRAPHICS_RASTPORT_H
#include <graphics/rastport.h>
#endif

#ifndef CATHARSIS_CATHARSIS_H
#include <catharsis/catharsis.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

void ModifyCharacterA(struct FontDescription *fontdescription);

struct TextFont *CreateCatharsisFontA( struct TextFont *font);

struct TextFont *OpenCatharsisFontA( struct TextFont *font);

void CloseCatharsisFontA(struct TextFont *font);

ULONG ComputeCatharsisValueA( ULONG background, ULONG foreground, ULONG percent, ULONG status);

ULONG CompressColorValueA( ULONG red, ULONG green, ULONG blue);

ULONG CompatibleColorValueA( ULONG value);

ULONG CatharsisColorValueA( ULONG background, ULONG foreground, ULONG *var_red, ULONG *var_green, ULONG *var_blue);

CatharsisTextA( struct RastPort *rastport, STRPTR string, ULONG stringlen, ULONG pennumber, struct TextFont *catharsisfont);

#ifdef __cplusplus
}
#endif

#endif	/* CLIB_CATHARSIS_PROTOS_H */
