	IFND	CATHARSIS_CATHARSISBASE_I
CATHARSIS_CATHARSISBASE_I	SET		1

	IFND	EXEC_EXECBASE_I
	INCLUDE "exec/execbase.i"
	ENDC

	IFND	DOS_DOS_I
	INCLUDE "dos/dos.i"
	ENDC

	IFND	GRAPHICS_GFXBASE_I
	INCLUDE "graphics/gfxbase.i"
	ENDC

	IFND	GRAPHICS_TEXT_I
	INCLUDE "graphics/text.i"
	ENDC

	IFND	INTUITION_INTUITIONBASE_I
	INCLUDE "intuition/intuitionbase.i"
	ENDC

	STRUCTURE CatharsisBase,0
		STRUCT	cts_LibNode,LN_SIZEOF
		UBYTE	cts_Flags			; LIB Flags
		UBYTE	cts_Pad0			; Dummy
		UWORD	cts_NegSize			; LIB Negative size (function table)
		UWORD	cts_PosSize			; LIB Positive size (it's this table)
		UWORD	cts_Version			; LIB Version
		UWORD	cts_Revision		; LIB Revision
		APTR	*cts_IdString		; LIB Detail string
		ULONG	cts_Sum				; LIB Checksum
		UWORD	cts_OpenCnt			; LIB Open count
		UWORD	cts_Reserved1		; - Internally used (in the future...)
		BPTR	cts_SegList			; LIB Segment pointer
		APTR	cts_Reserved2		; As it tells
		APTR	cts_SysBase			; Base pointers
		APTR	cts_GfxBase
		APTR	*cts_IntuitionBase
		STRUCT	cts_TextFont,256*4		; Remembered TextFont pointers
		STRUCT 	cts_CatharsisFont,256*4	; Created TextFont pointers
	LABEL	cts_SIZEOF

	ENDC
